Subject: bug#8865: 24.0.50; `display-buffer' does not respect `pop-up-frames'

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Jun 2011 12:21:06 -0400

> My question was about replacing such a test.  The common denominator of the
> intentions behind using such tests is what all of those tests do (have in
> common): distinguish nil `pop-up-frames' from non-nil.  Nothing more.

If that's all you want to do, then "(if pop-up-frames" is (trivially)
the only answer.

But I'm pretty sure that's not the answer you're looking for because I'm
pretty sure that "test if pop-up-frames is non-nil" was *not* the
intention behind the code.  Now, it might be true that the coder doesn't
know his own intention.  It's a common problem.

        Stefan